Dorico System Requirements

My testing of Dorico is going to take a bit longer because I have to upgrade my OS. I advise anyone who is not an active developer to be careful about upgrading any operating system, at the very least until you find out if your favourite programs work on it.

error23

I know that a lot of people who have Macs want to upgrade to Sierra (OS X 10.12) to get Siri, but remember that audio software often lags behind more common programs in adapting to a new OS. Still, Sierra is supposed to have security fixes that 10.11 lacks, so it seems to be the better choice IF your software will run on it.

CLICK HERE TO SEE DORICO’S SYSTEM REQUIREMENTS.

Advertisements

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s